SDL_HINT_VIDEO_WAYLAND_MODE_SCALING(3)

NAME
SDL_HINT_VIDEO_WAYLAND_MODE_SCALING - A variable controlling how modes with a non-native aspect ratio are displayed under Wayland.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_VIDEO_WAYLAND_MODE_SCALING SDL_VIDEO_WAYLAND_MODE_SCALING"

DESCRIPTION
When this hint is set, the requested scaling will be used when displaying fullscreen video modes that don't match the display's native aspect ratio. This is contingent on compositor viewport support.

The variable can be set to the following values:

• "aspect" - Video modes will be displayed scaled, in their proper aspect
  ratio, with black bars.

• "stretch" - Video modes will be scaled to fill the entire display.
  (default)

• "none" - Video modes will be displayed as 1:1 with no scaling.

This hint should be set before creating a window.

AVAILABILITY
This hint is available since SDL 3.2.0.